# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define svnrev 9395
%define upname xmlrpcplugin

Name: trac-xmlrpc-plugin
Version: 1.1.0
Release: 0.4.r%{svnrev}%{?dist}
Summary: Allows Trac plugins to export their interface via XML-RPC

Group: Applications/Internet
License: BSD

URL: http://trac-hacks.org/wiki/XmlRpcPlugin
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
Source0: %{upname}-r%{svnrev}.tar.bz2
# svn export -r %{svnrev} http://trac-hacks.org/svn/xmlrpcplugin/trunk xmlrpcplugin
#  tar -cjvf xmlrpcplugin-r%{svnrev}.tar.bz2 xmlrpcplugin
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch: noarch
BuildRequires: python-devel python-setuptools
Requires: trac >= 0.11, python-setuptools

%description
This plugin allows Trac plugins to export select parts of their 
interface via XML-RPC. It also includes some exported functions 
for manipulating tickets, with plans to include interfaces to other parts 
of Trac's API.

%prep
%setup -n %{upname} -q

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root  %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.4.r9395
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 09 2010 Jesse Keating <jkeating@redhat.com> - 1.1.0-0.3.r9395
- New upstream snapshot

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.0-0.2.r7971
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jun 02 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 1.1.0-0.1.r7971
- Source code from vcs, rebased to r7971

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-0.2.r6141
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 26 2009 Sergio Pascual <sergio.pasra at gmail.com> - 1.0.6-0.1.r6141
- Source code from vcs, rebased to trunk to support json-rpc (bz #509291)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.3.r3074
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Sergio Pascual <sergio.pasra at gmail.com> - 1.0.0-0.2.r3074
- Adding version to Requires: trac

* Thu Jan 15 2009 Sergio Pascual <sergio.pasra at gmail.com> - 1.0.0-0.1.r3074
- Source code from vcs, rebased to trunk for trac 0.11 (bz #480101)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1-0.4.r2892
- Rebuild for Python 2.6

* Tue Dec 18 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.1-0.3.r2892
- Renamed as trac-xmlrpc-plugin

* Mon Dec 17 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.1-0.2.r2892
- Removed redundant line in install section

* Thu Dec 13 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.1-0.1.r2892
- Initial build, initial template borrowed from Jesse Keating's trac-webadmin
